<!doctype html>
<html>
	<head>
		<meta charset="UTF-8"/>
        <title>Mon premier exemple JQuery</title>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>

	</head>
	<style>
		div {
			background-color : lightblue;
			width : 200px;
			height : 200px;
		}
	</style>
	<body>
		<button onclick="vaChercher()"> Va chercher </button>
        <input id="nom" placeholder="Nom" />
        <input id="prenom" placeholder="Prénom" />
		<div id="resultat">
		
        </div>
        
        <button onclick="vaChercher2()"> Va chercher </button>
        <input id="nom1" placeholder="Nom" />
        <input id="prenom1" placeholder="Prénom" />
		<div id="resultat2">
		
        </div>
        
        <button onclick="vaChercher3()"> Va chercher </button>
        <input id="nom2" placeholder="Nom" />
        <input id="prenom2" placeholder="Prénom" />
		<div id="resultat3">
		
        </div>
        
	</body>
	<script>
	
		function vaChercher(){
            var nom = $("#nom").val();
            var prenom = $("#prenom").val();
			$.ajax({
				url:"http://92.222.69.104:80/exercice/bonjour2/" + nom +"/" + prenom
			}).done(function(d) {
				$("#resultat").html(d);
			});
        }	
        
        function vaChercher2(){
            var nom1 = $("#nom1").val();
            var prenom1 = $("#prenom1").val();
			$.ajax({
				url:"http://92.222.69.104:80/exercice/bonjour3/?nom="+ nom1 +"&prenom=" + prenom1
			}).done(function(d) {
				$("#resultat2").html(d);
			});
        }
        
        function vaChercher3(){
            var nom2 = $("#nom2").val();
            var prenom2 = $("#prenom2").val();
			$.ajax({
				url:"http://92.222.69.104:80/exercice/bonjour4/", headers:{"nom" : nom2 , "prenom" : prenom2}
			}).done(function(d) {
				$("#resultat3").html(d);
			});
		}
		
		
	</script>
</html>